#pragma once

#include <trompeloeil.hpp>

#include "media-library-api.h"

namespace dsMediaLibrary {

class MediaLibraryApiMock : public trompeloeil::mock_interface<MediaLibraryApi> {
public:
  IMPLEMENT_CONST_MOCK1(clip);
  IMPLEMENT_CONST_MOCK0(clips);
  IMPLEMENT_MOCK1(deleteClip);
  IMPLEMENT_MOCK1(addClip);
  IMPLEMENT_MOCK2(setClipName);
  IMPLEMENT_MOCK2(setClipUri);
  IMPLEMENT_MOCK2(setClipDuration);
};

} // namespace dsMediaLibrary
