#!/bin/sh
set -x

FILES="ds-locale-messages-test ds-locale-messages-test0 ds-locale-messages-test1 ds-locale-messages-test2"

pushd "en_US/LC_MESSAGES"
for FILE in $FILES; do
  msgfmt -o $FILE.mo $FILE.po;
  ln -s $FILE.mo $FILE-en.mo
done
popd

pushd "de_DE/LC_MESSAGES"
for FILE in $FILES; do
  msgfmt -o $FILE.mo $FILE.po;
  ln -s $FILE.mo $FILE-de.mo
done
popd


